
package com.tmerclub.cloud.api.order.constant;

/**
 * 定金预售支付状态 1.已支付定金 2.已支付尾款
 * @author lhd
 * @date 2022/08/26
 */
public enum PreSalePayStatus {

    /**
     * 已支付定金
     */
    PAYED_DEPOSIT(1),

    /**
     * 已支付尾款
     */
    PAYED_BALANCE(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    PreSalePayStatus(Integer num) {
        this.num = num;
    }

    public static PreSalePayStatus instance(Integer value) {
        PreSalePayStatus[] enums = values();
        for (PreSalePayStatus typeEnum : enums) {
            if (typeEnum.value().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }
}
